> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Environment Quotas

> Read capacity controls for exactly one test or live environment.



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/quotas
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/quotas:
    get:
      tags:
        - v1 control plane
      summary: Environment Quotas
      description: Read capacity controls for exactly one test or live environment.
      operationId: >-
        environment_quotas_v1_organizations__organization_id__apps__app_id__environments__environment_id__quotas_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentQuotaResponse'
          description: Successful Response
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    EnvironmentQuotaResponse:
      additionalProperties: false
      properties:
        limits:
          $ref: '#/components/schemas/EnvironmentQuotaLimits'
        revision:
          minimum: 1
          title: Revision
          type: integer
        schema_version:
          const: 1
          title: Schema Version
          type: integer
        usage:
          $ref: '#/components/schemas/EnvironmentQuotaUsage'
      required:
        - schema_version
        - revision
        - limits
        - usage
      title: EnvironmentQuotaResponse
      type: object
    EnvironmentQuotaLimits:
      additionalProperties: false
      properties:
        active_participant_sessions:
          maximum: 1000000
          minimum: 1
          title: Active Participant Sessions
          type: integer
        active_subjects:
          maximum: 10000000
          minimum: 1
          title: Active Subjects
          type: integer
        behavioral_event_batch_size:
          maximum: 100
          minimum: 1
          title: Behavioral Event Batch Size
          type: integer
        continuous_event_batch_size:
          maximum: 100
          minimum: 1
          title: Continuous Event Batch Size
          type: integer
        evaluations:
          maximum: 100000000
          minimum: 1
          title: Evaluations
          type: integer
        programs:
          maximum: 100000
          minimum: 1
          title: Programs
          type: integer
        webhook_endpoints:
          maximum: 10000
          minimum: 1
          title: Webhook Endpoints
          type: integer
      required:
        - active_subjects
        - programs
        - evaluations
        - active_participant_sessions
        - webhook_endpoints
        - behavioral_event_batch_size
        - continuous_event_batch_size
      title: EnvironmentQuotaLimits
      type: object
    EnvironmentQuotaUsage:
      additionalProperties: false
      properties:
        active_participant_sessions:
          minimum: 0
          title: Active Participant Sessions
          type: integer
        active_subjects:
          minimum: 0
          title: Active Subjects
          type: integer
        behavioral_event_batch_size:
          const: 0
          title: Behavioral Event Batch Size
          type: integer
        continuous_event_batch_size:
          const: 0
          title: Continuous Event Batch Size
          type: integer
        evaluations:
          minimum: 0
          title: Evaluations
          type: integer
        programs:
          minimum: 0
          title: Programs
          type: integer
        webhook_endpoints:
          minimum: 0
          title: Webhook Endpoints
          type: integer
      required:
        - active_subjects
        - programs
        - evaluations
        - active_participant_sessions
        - webhook_endpoints
        - behavioral_event_batch_size
        - continuous_event_batch_size
      title: EnvironmentQuotaUsage
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````